-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Apps
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login


Sponsoring


-
- Content .- Fans (3) .- Knowledge Base  . 

Yet Another Netspeed Plasmoid

   0.3  

Plasmoid Script

Score 78%
Yet Another Netspeed Plasmoid
zoom


Yet Another Netspeed Plasmoid
zoom


Minimum required   KDE 4.x
Downloads:  934
Submitted:  May 31 2010
Updated:  Oct 5 2010

Description:

KISS plasmoid for KDE panel displaying up/down speed written with ruby/QT(just began to use ruby)
Settings allow one to change font and device.


Inspired by GNOME panel netspeed applet




Changelog:

0.3
YOU DON'T NEED THIS VERSION IF 0.2 IS OK FOR YOU
*minor fix on ruby round function. All who have a blank plasmoid canvas should try this one.
Tested on kubuntu 10.04 and Archlinux
0.2
* Added pattern to build speed show at your taste:
#uv - upload value
#um - upload measure
#dv and #dm same for downspeed
#utv, #utm, #dtv, #dtm - up/down total for curret session
#br - newline
Other symbols will be shown as is.

*Added kdebindings-ruby as depency

Know issues:
*color picker doesn't work yet
*autoresize make some tray items to move(you can use min width seting to avoid)

TODO:
*fix autoresize
*fix colour selector
*Add icon to config screen
*Add help file. For pattern at least

0.1
* Initial upload




LicenseGPL
other(yanetload.plasmoid)
Donate
Send to a friend
Subscribe
Other  Apps  from rakoth
Report inappropriate content



goto page: prev   1  2 

-
.

 Uguu

 
 by cician on: Aug 5 2010
 
Score 50%

Here it just displays up: 0 down: 0, no errors. I'm on Lucid KDE4.5 RC2


Reply to this

-

 Re: Uguu

 
 by loray on: Aug 11 2010
 
Score 50%

I'm in the same situation


Reply to this

-

 ruby error

 
 by pierissimo on: Oct 1 2010
 
Score 50%

on kubuntu 10.10 it returns me a ruby-script engine error...


Reply to this

-

 Re: ruby error

 
 by aray on: Oct 6 2010
 
Score 50%

I am also getting ruby error as "Could not create a ruby-script ScriptEngine for Yet another....".

What am I missing here?


Reply to this

-

 Re: ruby error

 
 by luciform on: Oct 6 2010
 
Score 50%

See if this helps:

https://bugs.launchpad.net/ubuntu/+source/kdebase-workspace/+bug/373645

If not, install ruby, ruby-kde4 and ruby-qt4.

Works fine for me.


Reply to this

-

 Re: Re: ruby error

 
 by pierissimo on: Oct 6 2010
 
Score 50%

installing "plasma-scriptengine-ruby" worked for me.
Thanks


Reply to this

-

 Re: Re: Re: ruby error

 
 by pierissimo on: Oct 6 2010
 
Score 50%

Altought I configured it, it always show "Configure me" message....


Reply to this

-

 Re: Re: Re: Re: ruby error

 
 by rakoth on: Oct 7 2010
 
Score 50%

Check please if this file could be created:
#cat ~/.config/plasma-widget-yanetload
---
device: eth0
font: Sans Serif
font_size: "10"
pattern: "#uv#um|#dv#dm#br#dtv#dtm"
minwidth: 110


Reply to this

-

 Re: Re: Re: Re: Re: ruby error

 
 by pierissimo on: Oct 7 2010
 
Score 50%

Yes, the file could be created and looks exactly like yours....
thanks


Reply to this

-

 Re: Re: Re: Re: Re: Re: ruby error

 
 by rakoth on: Oct 9 2010
 
Score 50%

Check "device" twice please.
This message will appear only if "device" could not be read from config file(eg: empty in config or unreadable file). Other settings are not checked.
I just can't get this message.



-

 Thank you

 
 by joethefox on: Oct 7 2010
 
Score 50%

what I was looking for! for this type of monitor, the main thing is to have numeric values, graphics look good but not very useful.
Some suggestions:
- with this layout (one info per line)
eth0
0B/s
0B/s
I've no width problem ;)
- Why don't add the capability to display the IP Address?
- When I try to add two plasmoids (one for eth0 and one for wlan0), each plasmoid seems to share the same config file, so not allowing to use more than one plasmoid in the same time.

again thank you for your work


Reply to this

-

 Re: Thank you

 
 by rakoth on: Oct 7 2010
 
Score 50%

Thanks for your reply.
Yes, both widgets using same config now.I'm planing to add multi widget functionality later.

Can you please describe installation process? Which plasma-ruby packages were required?
(Some users have problems with searching right package name, which could differ from one system to another)


Reply to this

-

 Re: Re: Thank you

 
 by joethefox on: Oct 7 2010
 
Score 50%

Sure. I'm using kubuntu maverick (development branch) and I've just hit the "Get New Widgets" button -> "Download new plasma widgets" -> "Install" on Yet Another Netspeed Monitor and all done. This is the output for any plasma/ruby installed packages in my system:

$ dpkg-query -W| grep -i ruby | grep -i plasma
libplasma-ruby 4:4.5.1-0ubuntu3
libplasma-ruby1.8 4:4.5.1-0ubuntu3
plasma-scriptengine-ruby 4:4.5.1-0ubuntu8


Reply to this

-

 Re: Re: Thank you

 
 by luciform on: Oct 7 2010
 
Score 50%

In Mandriva 2010.1 I had to install ruby, ruby-kde4 and ruby-qt4 (could be the same in other RPM-based distributions).


Reply to this

-

 Kubuntu 10.10 kde 4.6

 
 by loray on: Feb 19 2011
 
Score 50%

Actually it's not working, some problem with scriptengine ruby-script. I installed all de dependencies above, but didn't works.


Reply to this

goto page: prev   1  2 

Add commentBack






-
-
How do you like Plasma 5?
 The best KDE Desktop ever.
 Definitely a nice improvement.
 Not decided yet. Haven't tried it yet.
 I do not like some of the changes.
 KDE is taking the wrong way.
 I am still sticking with KDE 3.5.
 I have no opinion, but wanted to vote anyway.

resultmore
 
 
 Who we are
Contact
More about us
Frequently Asked Questions
Register
Twitter
Blog
Explore
Apps
Jobs
Knowledge
Events
People
Updates on identi.ca
Updates on Twitter
Facebook App
Content RSS   
Events RSS   

Participate
Groups
Forum
Add App
Public API
About KDE-Apps.org
Legal Notice
Spreadshirt Shop
CafePress Shop
Advertising
Sponsor us
Report Abuse
 

Copyright 2003-2014 KDE-Apps.org Team  
All rights reserved. KDE-Apps.org is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.
KDE and K Desktop Environment are trademarks of KDE e.V.